.TH HG TAG  "" "" ""
.SH NAME
hg tag \- add one or more tags for the current or given revision
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg tag [\-f] [\-l] [\-m TEXT] [\-d DATE] [\-u USER] [\-r REV] NAME...
.ft P
.fi
.SH DESCRIPTION
.sp
Name a particular revision using <name>.
.sp
Tags are used to name particular revisions of the repository and are
very useful to compare different revisions, to go back to significant
earlier versions or to mark branch points as releases, etc. Changing
an existing tag is normally disallowed; use \-f/\-\-force to override.
.sp
If no revision is given, the parent of the working directory is
used.
.sp
To facilitate version control, distribution, and merging of tags,
they are stored as a file named ".hgtags" which is managed similarly
to other project files and can be hand\-edited if necessary. This
also means that tagging creates a new commit. The file
".hg/localtags" is used for local tags (not shared among
repositories).
.sp
Tag commits are usually made at the head of a branch. If the parent
of the working directory is not a branch head, \%\fBhg tag\fP\: aborts; use
\-f/\-\-force to force the tag commit to be based on a non\-head
changeset.
.sp
See \%\fBhg help dates\fP\: for a list of formats valid for \-d/\-\-date.
.sp
Since tag names have priority over branch names during revision
lookup, using an existing branch name as a tag name is discouraged.
.sp
Returns 0 on success.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-f,  \-\-force
.
force tag
.TP
.B \-l,  \-\-local
.
make the tag local
.TP
.BI \-r,  \-\-rev \ <REV>
.
revision to tag
.TP
.B \-\-remove
.
remove a tag
.TP
.B \-e,  \-\-edit
.
invoke editor on commit messages
.TP
.BI \-m,  \-\-message \ <TEXT>
.
use text as commit message
.TP
.BI \-d,  \-\-date \ <DATE>
.
record the specified date as commit date
.TP
.BI \-u,  \-\-user \ <USER>
.
record the specified user as committer
.UNINDENT
.\" Generated by docutils manpage writer.
.\" 
.
